description

# KeyboardEvent class Null safety

An event that describes user interaction with the keyboard.

The type of the event identifies what kind of interaction occurred.

See also:

- KeyboardEvent at MDN.

Inheritance
  - Object
  - Event
  - UIEvent
  - KeyboardEvent
Implementers
  - KeyEvent
Annotations
  - @Native("KeyboardEvent")

## Constructors

KeyboardEvent(String type, {Window? view, bool canBubble: true, bool cancelable: true, int? location, int? keyLocation, bool ctrlKey: false, bool altKey: false, bool shiftKey: false, bool metaKey: false})
  Programmatically create a KeyboardEvent. [...]
  factory

## Properties

altKey → bool
  read-only
bubbles → bool?
  read-only, inherited
cancelable → bool?
  read-only, inherited
charCode → int
  read-only
code → String?
  read-only
composed → bool?
  read-only, inherited
ctrlKey → bool
  read-only
currentTarget → EventTarget?
  read-only, inherited
defaultPrevented → bool
  read-only, inherited
detail → int?
  read-only, inherited
eventPhase → int
  read-only, inherited
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
isComposing → bool?
  read-only
isTrusted → bool?
  read-only, inherited
key → String?
  read-only
keyCode → int
  read-only
location → int
  read-only
matchingTarget → Element
  A pointer to the element whose CSS selector matched within which an event was fired. If this Event was not associated with any Event delegation, accessing this value will throw an UnsupportedError.
  read-only, inherited
metaKey → bool
  read-only
path → List<EventTarget>
  read-only, inherited
repeat → bool?
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
shiftKey → bool
  read-only
sourceCapabilities → InputDeviceCapabilities?
  read-only, inherited
target → EventTarget?
  read-only, inherited
timeStamp → num?
  read-only, inherited
type → String
  read-only, inherited
view → WindowBase?
  read-only, inherited
which → int?
  read-only

## Methods

composedPath() → List<EventTarget>
  inherited
getModifierState(String keyArg) → bool
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
preventDefault() → void
  inherited
stopImmediatePropagation() → void
  inherited
stopPropagation() → void
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

DOM_KEY_LOCATION_LEFT → const int
  `0x01`
DOM_KEY_LOCATION_NUMPAD → const int
  `0x03`
DOM_KEY_LOCATION_RIGHT → const int
  `0x02`
DOM_KEY_LOCATION_STANDARD → const int
  `0x00`